<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Initiate ServiceType
 * @subpackage Services
 */
class Initiate extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named Initiate_RddDownload
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Initiate_RddDownload $parameters
     * @return \StructType\Initiate_RddDownloadResponse|bool
     */
    public function Initiate_RddDownload(\StructType\Initiate_RddDownload $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Initiate_RddDownload($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\Initiate_RddDownloadResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
